npm install issue

priority:low
cli
triaged

(Richnayay) #1

npm WARN package.json rtpengine-client@0.0.6 No repository field.
npm WARN engine eslint@5.12.1: wanted: {“node”:"^6.14.0 || ^8.10.0 || >=9.10.0"} (current: {“node”:“0.10.29”,“npm”:“1.4.21”})
npm ERR! Error: Method Not Allowed
npm ERR! at errorResponse (/usr/share/npm/lib/cache/add-named.js:260:10)
npm ERR! at /usr/share/npm/lib/cache/add-named.js:203:12
npm ERR! at saved (/usr/share/npm/node_modules/npm-registry-client/lib/get.js:167:7)
npm ERR! at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this entire log,
npm ERR! including the npm and node versions, at:
npm ERR! http://github.com/npm/npm/issues

npm ERR! System Linux 3.10.0-862.2.3.el7.x86_64
npm ERR! command “/usr/bin/nodejs” “/usr/bin/npm” “install”
npm ERR! cwd /home/shah/drachtio-siprec-recording-server-master
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.21
npm ERR! code E405
npm ERR!
npm ERR! Additional logging details can be found in:
npm ERR! /home/shah/drachtio-siprec-recording-server-master/npm-debug.log
npm ERR! not ok code 0

What I Wanted to Do

npm install

What Happened Instead

facing error as mentioned above

Reproduction Steps

running following docker on CentOs 6

docker pull drachtio/drachtio-server:latest

and installing following package using npm install

Details

attaching npm-debug.log file
npm-debug.log (233.2 KB)

Platform Info

$ npm --versions
{ http_parser: '1.0',
  node: '0.10.29',
  v8: '3.14.5.8',
  ares: '1.10.0',
  uv: '0.10.27',
  zlib: '1.2.8',
  modules: '11',
  openssl: '1.0.1k',
  npm: '1.4.21',
  'drachtio-siprec-recording-server': '2.0.0' }
$ node -p process.platform
<it is showing nothing not even some error>

(John Gee) #2

Not sure about the error, but node 0.10.29 was released on 2014-06-09. If you don’t need to use an old old version then I suggest looking at installing newer version of node (and npm)?


(Kat Marchán) #3

npm@1.4 is no longer supported. Please upgrade your node+npm and see if you still run into this.